aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-dbus/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-24 08:09:49 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-24 08:09:49 +0000
commit696cbfd0ad23379ae90f40ba336efd0cef18a834 (patch)
treee7990fd5b831c0abd7282c8b401d5c21a49c120c /testing/py-dbus/APKBUILD
parent7ae1072fba012df7f5cea36c55d923c0a2f5b817 (diff)
downloadaports-696cbfd0ad23379ae90f40ba336efd0cef18a834.tar.gz
aports-696cbfd0ad23379ae90f40ba336efd0cef18a834.tar.bz2
aports-696cbfd0ad23379ae90f40ba336efd0cef18a834.tar.xz
testing/py-dbus: new aport
Python bindings for DBUS http://www.freedesktop.org/wiki/Software/DBusBindings
Diffstat (limited to 'testing/py-dbus/APKBUILD')
-rw-r--r--testing/py-dbus/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/py-dbus/APKBUILD b/testing/py-dbus/APKBUILD
new file mode 100644
index 0000000000..64e1d54181
--- /dev/null
+++ b/testing/py-dbus/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-dbus
+pkgver=0.83.1
+pkgrel=0
+pkgdesc="Python bindings for DBUS"
+url="http://www.freedesktop.org/wiki/Software/DBusBindings"
+license="GPL LGPL"
+depends="python>=2.6.5"
+makedepends="pkgconfig dbus-glib-dev python-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://dbus.freedesktop.org/releases/dbus-python/dbus-python-$pkgver.tar.gz"
+
+_builddir="$srcdir"/dbus-python-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5fdf3970aa0c00020289de7ba8f3be18 dbus-python-0.83.1.tar.gz"